Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.mock.web.portlet
Class MockPortletRequestDispatcher

    java.lang.Object
      org.springframework.mock.web.portlet.MockPortletRequestDispatcher

All Implemented Interfaces:
  PortletRequestDispatcher

    public class MockPortletRequestDispatcher

extends Object
implements PortletRequestDispatcher

Mock implementation of the `PortletRequestDispatcher` interface.

Since:
  2.0
Author:
  John A. Lewis, Juergen Hoeller

Constructor Summary
`MockPortletRequestDispatcher(String url)` Create a new MockPortletRequestDispatcher for the given URL.

Method Summary
`void` | `forward(PortletRequest request, PortletResponse response)`
`void` | `include(PortletRequest request, PortletResponse response)`
`void` | `include(RenderRequest request, RenderResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletRequestDispatcher

    public MockPortletRequestDispatcher(String url)

  Create a new MockPortletRequestDispatcher for the given URL.

  Parameters:
    `url` - the URL to dispatch to.

Method Detail

### include

    public void include(RenderRequest request,
                        RenderResponse response)
                 throws PortletException,
                        IOException

  Specified by:
    `include` in interface `PortletRequestDispatcher`
  Throws:
    `PortletException`
    `IOException`

### include

    public void include(PortletRequest request,
                        PortletResponse response)
                 throws PortletException,
                        IOException

  Throws:
    `PortletException`
    `IOException`

### forward

    public void forward(PortletRequest request,
                        PortletResponse response)
                 throws PortletException,
                        IOException

  Throws:
    `PortletException`
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD